<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_181) on Fri Jun 07 21:54:54 BRT 2019 -->
<title>Menu</title>
<meta name="date" content="2019-06-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Menu";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../visual/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Menu.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?visual/Menu.html" target="_top">Frames</a></li>
<li><a href="Menu.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.java.awt.Window">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">visual</div>
<h2 title="Class Menu" class="title">Class Menu</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Container</li>
<li>
<ul class="inheritance">
<li>java.awt.Window</li>
<li>
<ul class="inheritance">
<li>java.awt.Frame</li>
<li>
<ul class="inheritance">
<li>javax.swing.JFrame</li>
<li>
<ul class="inheritance">
<li>visual.Menu</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Menu</span>
extends javax.swing.JFrame
implements java.awt.event.ActionListener</pre>
<div class="block"><meta charset="utf-8">Essa classe é responsável por gerar a tela de <strong> preenchimento de dados</strong>, tendo como auxílio as classes Aluno , ConfirmarEnvio e Tabela.
 Ela possui <strong>3 instâncias</strong>, que são das classes: Aluno , ConfirmarEnvio e Tabela.
 A mesma é a classe principal do projeto, sendo ela o processo visual mais importante, onde o usuário irá inserir seus dados. Ela possui o auxílio de três botões: <strong>Mandar, apagar e ver planilha</strong>.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Everton Rocha e Eduarda Maria</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../serialized-form.html#visual.Menu">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Window">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Window</h3>
<code>java.awt.Window.Type</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.BaselineResizeBehavior</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static javax.swing.JButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#apagar">apagar</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static javax.swing.JComboBox&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#atraso">atraso</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#boxMateria">boxMateria</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static javax.swing.JComboBox&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#cs">cs</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#curso">curso</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#data">data</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#date">date</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#faltas">faltas</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#formaAtraso">formaAtraso</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#inputFaltas">inputFaltas</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#inputNome">inputNome</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#inputNumero">inputNumero</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static javax.swing.JButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#mandar">mandar</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static visual.ConfirmarEnvio</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#mandarDados">mandarDados</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#materia">materia</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#nome">nome</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#np">np</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#numChamada">numChamada</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#numPais">numPais</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#serie">serie</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static javax.swing.JComboBox&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#sr">sr</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static javax.swing.JButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#vp">vp</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#welcome">welcome</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.javax.swing.JFrame">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.JFrame</h3>
<code>EXIT_ON_CLOSE</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.Frame">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Frame</h3>
<code>CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.javax.swing.WindowConstants">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;javax.swing.WindowConstants</h3>
<code>DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../visual/Menu.html#Menu--">Menu</a></span>()</code>
<div class="block">O construtor da classe Menu possibilita a titulação da tela criada pela mesma, execução das ações dos botões, adicionamento do JPanel e
 a impossibilidade de redimensionar a tela.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#actionPerformed-java.awt.event.ActionEvent-">actionPerformed</a></span>(java.awt.event.ActionEvent&nbsp;evt)</code>
<div class="block">Esse método é responsável pelas ações de todos os botões da classe Menu e ConfirmarEnvio.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../visual/Menu.html#placeComponents-javax.swing.JPanel-">placeComponents</a></span>(javax.swing.JPanel&nbsp;painel)</code>
<div class="block">Esse método é responsável pelo <strong>adicionamento</strong> e <strong>posicionamento</strong>  dos componentes no JPanel.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.javax.swing.JFrame">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JFrame</h3>
<code>getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setTransferHandler, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Frame">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Frame</h3>
<code>addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Window">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Window</h3>
<code>addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<code>add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.MenuContainer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.awt.MenuContainer</h3>
<code>getFont, postEvent</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="nome">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nome</h4>
<pre>public static&nbsp;javax.swing.JLabel nome</pre>
</li>
</ul>
<a name="numChamada">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>numChamada</h4>
<pre>public static&nbsp;javax.swing.JLabel numChamada</pre>
</li>
</ul>
<a name="curso">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>curso</h4>
<pre>public static&nbsp;javax.swing.JLabel curso</pre>
</li>
</ul>
<a name="serie">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>serie</h4>
<pre>public static&nbsp;javax.swing.JLabel serie</pre>
</li>
</ul>
<a name="numPais">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>numPais</h4>
<pre>public static&nbsp;javax.swing.JLabel numPais</pre>
</li>
</ul>
<a name="mandar">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mandar</h4>
<pre>public static&nbsp;javax.swing.JButton mandar</pre>
</li>
</ul>
<a name="vp">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>vp</h4>
<pre>public static&nbsp;javax.swing.JButton vp</pre>
</li>
</ul>
<a name="inputNome">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inputNome</h4>
<pre>public static&nbsp;javax.swing.JTextField inputNome</pre>
</li>
</ul>
<a name="inputNumero">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inputNumero</h4>
<pre>public static&nbsp;javax.swing.JTextField inputNumero</pre>
</li>
</ul>
<a name="cs">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cs</h4>
<pre>public static&nbsp;javax.swing.JComboBox&lt;java.lang.String&gt; cs</pre>
</li>
</ul>
<a name="sr">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sr</h4>
<pre>public static&nbsp;javax.swing.JComboBox&lt;java.lang.String&gt; sr</pre>
</li>
</ul>
<a name="np">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>np</h4>
<pre>public static&nbsp;javax.swing.JTextField np</pre>
</li>
</ul>
<a name="atraso">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>atraso</h4>
<pre>public static&nbsp;javax.swing.JComboBox&lt;java.lang.String&gt; atraso</pre>
</li>
</ul>
<a name="formaAtraso">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formaAtraso</h4>
<pre>public static&nbsp;javax.swing.JLabel formaAtraso</pre>
</li>
</ul>
<a name="apagar">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>apagar</h4>
<pre>public static&nbsp;javax.swing.JButton apagar</pre>
</li>
</ul>
<a name="mandarDados">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mandarDados</h4>
<pre>public static&nbsp;visual.ConfirmarEnvio mandarDados</pre>
</li>
</ul>
<a name="data">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>data</h4>
<pre>public static&nbsp;javax.swing.JLabel data</pre>
</li>
</ul>
<a name="date">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>date</h4>
<pre>public static&nbsp;javax.swing.JTextField date</pre>
</li>
</ul>
<a name="materia">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>materia</h4>
<pre>public static&nbsp;javax.swing.JLabel materia</pre>
</li>
</ul>
<a name="boxMateria">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>boxMateria</h4>
<pre>public static&nbsp;javax.swing.JTextField boxMateria</pre>
</li>
</ul>
<a name="faltas">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>faltas</h4>
<pre>public static&nbsp;javax.swing.JLabel faltas</pre>
</li>
</ul>
<a name="inputFaltas">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inputFaltas</h4>
<pre>public static&nbsp;javax.swing.JTextField inputFaltas</pre>
</li>
</ul>
<a name="welcome">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>welcome</h4>
<pre>public static&nbsp;javax.swing.JLabel welcome</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Menu--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Menu</h4>
<pre>public&nbsp;Menu()</pre>
<div class="block">O construtor da classe Menu possibilita a titulação da tela criada pela mesma, execução das ações dos botões, adicionamento do JPanel e
 a impossibilidade de redimensionar a tela.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="placeComponents-javax.swing.JPanel-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>placeComponents</h4>
<pre>public static&nbsp;void&nbsp;placeComponents(javax.swing.JPanel&nbsp;painel)</pre>
<div class="block">Esse método é responsável pelo <strong>adicionamento</strong> e <strong>posicionamento</strong>  dos componentes no JPanel. <br>
 Podendo também difinir a cor dos componentes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>Jpanel</code> - painel</dd>
</dl>
</li>
</ul>
<a name="actionPerformed-java.awt.event.ActionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionPerformed</h4>
<pre>public&nbsp;void&nbsp;actionPerformed(java.awt.event.ActionEvent&nbsp;evt)</pre>
<div class="block">Esse método é responsável pelas ações de todos os botões da classe Menu e ConfirmarEnvio.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>actionPerformed</code>&nbsp;in interface&nbsp;<code>java.awt.event.ActionListener</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ActionEvent</code> - evt</dd>
</dl>
</li>
</ul>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../visual/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Menu.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?visual/Menu.html" target="_top">Frames</a></li>
<li><a href="Menu.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.java.awt.Window">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
